/**
 * 请注意将相关方法调整成 “基于服务端Service” 的实现。
 **/

(function($, owner) {
	owner.app_host='http://www.hhhtga.gov.cn/';
	owner.api_host='http://www.hhhtga.gov.cn/ohoAppApiDefault.php?token=b69df1d933b1763d6e8fb884ad6e20a8';
	owner.api_host_search = 'http://www.hhhtga.gov.cn/bmserach.php';
	owner.api_web_bs = 'http://www.hhhtga.gov.cn/wx/default.php?mod=flow&ifrom=app';
	
	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if (owner.checkMobile(loginInfo.account)==false) {
			return callback('手机号格式不正确');
		}
		if (loginInfo.password.length < 6) {
			return callback('密码最短为 6 个字符');
		}
		var users = JSON.parse(localStorage.getItem('$users') || '[]');
		var authed = users.some(function(user) {
			return loginInfo.account == user.account && loginInfo.password == user.password;
		});
		if (authed) {
			return owner.createState(loginInfo.account, callback);
		} else {
			return callback('用户名或密码错误');
		}
	};
	
	/**
	 * 获取用户信息
	 **/
	owner.getUser = function() {
		return JSON.parse(localStorage.getItem('$user') || '{}');
	}; 

	/**
	 * 保存用户信息
	 **/
	owner.save = function(loginInfo) {
		localStorage.setItem('$user', JSON.stringify(loginInfo));
	};


	var checkEmail = function(email) {
		email = email || '';
		return (email.length > 3 && email.indexOf('@') > -1);
	};
	
	owner.checkMobile = function(tel){
		return /^1\d{10}$/.test(tel);
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if (!checkEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
	};

	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	
	owner.startWith=function(org,str){
		if(str==null||str==""||org.length==0||str.length>org.length)
		  return false;
		if(org.substr(0,str.length)==str)
		  return true;
		else
		  return false;
		return true;
	}
}(mui, window.app = {}));